# SdFat: ArduinoSdFat/libraries/SdFat/src/ExFatLib/ExFatPartition.h File Reference

ExFatPartition.h File Reference

ExFatPartition include file. More...

`#include "../common/SysCall.h"`
`#include "../common/BlockDevice.h"`
`#include "ExFatConfig.h"`
`#include "ExFatTypes.h"`
Include dependency graph for ExFatPartition.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | ExFatPartition
| Access exFat partitions on raw file devices. More...
class | FsCache
| Sector cache. More...

## Variables

const uint8_t | FAT_TYPE_EXFAT = 64

## Detailed Description

ExFatPartition include file.

Copyright (c) 2011-2019 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Variable Documentation

## FAT_TYPE_EXFAT

const uint8_t FAT_TYPE_EXFAT = 64

Type for exFAT partition